Modify

Opened 4 years ago

Closed 4 years ago

Last modified 8 months ago

#14241 closed defect (duplicate)

javax.net.ssl.SSLProtocolException: handshake alert: unrecognized_name

Reported by: Klumbumbus Owned by: team
Priority: normal Milestone:
Component: Core imagery Version:
Keywords: template_report Cc:

Description

Maps/Brazil#LondrinaOrtofoto2011 works as https on the josm website but not in JOSM. (http works in josm)

console prints:

INFORMATION: GET https://siglon.londrina.pr.gov.br/arcgis/rest/services/Imagens/Ortofotos_2011_Paranacidade/MapServer/WMTS/tile/1.0.0/Imagens_Ortofotos_2011_Paranacidade/default/GoogleMapsCompatible/15/18565/11726 -> !!!
Jan 14, 2017 10:50:40 PM org.openstreetmap.josm.Main warn
WARNUNG: javax.net.ssl.SSLProtocolException: handshake alert:  unrecognized_name
javax.net.ssl.SSLProtocolException: handshake alert:  unrecognized_name
	at sun.security.ssl.ClientHandshaker.handshakeAlert(Unknown Source)
	at sun.security.ssl.SSLSocketImpl.recvAlert(Unknown Source)
	at sun.security.ssl.SSLSocketImpl.readRecord(Unknown Source)
	at sun.security.ssl.SSLSocketImpl.performInitialHandshake(Unknown Source)
	at sun.security.ssl.SSLSocketImpl.startHandshake(Unknown Source)
	at sun.security.ssl.SSLSocketImpl.startHandshake(Unknown Source)
	at sun.net.www.protocol.https.HttpsClient.afterConnect(Unknown Source)
	at sun.net.www.protocol.https.AbstractDelegateHttpsURLConnection.connect(Unknown Source)
	at sun.net.www.protocol.https.HttpsURLConnectionImpl.connect(Unknown Source)
	at org.openstreetmap.josm.tools.HttpClient.connect(HttpClient.java:124)
	at org.openstreetmap.josm.tools.HttpClient.connect(HttpClient.java:74)
	at org.openstreetmap.josm.data.cache.JCSCachedTileLoaderJob.loadObject(JCSCachedTileLoaderJob.java:330)
	at org.openstreetmap.josm.data.cache.JCSCachedTileLoaderJob.run(JCSCachedTileLoaderJob.java:240)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-01-12 23:28:57 +0100 (Thu, 12 Jan 2017)
Build-Date:2017-01-13 02:34:21
Revision:11462
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11462 de) Windows 7 32-Bit
Memory Usage: 676 MB / 1063 MB (218 MB allocated, but free)
Java version: 1.8.0_111-b14, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-mehr-RAM.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,1100m, -Djnlpx.splashport=52369, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

Plugins:
+ AddrInterpolation (33005)
+ DirectDownload (33004)
+ DirectUpload (32885)
+ FastDraw (33004)
+ HouseNumberTaggingTool (32699)
+ Mapillary (v1.3.2)
+ OpeningHoursEditor (33004)
+ Tracer2 (33004)
+ alignways (33088)
+ apache-commons (32994)
+ apache-http (32699)
+ buildings_tools (33004)
+ contourmerge (1030)
+ editgpx (33004)
+ imagery-xml-bounds (33004)
+ imagery_offset_db (33004)
+ log4j (32699)
+ measurement (33088)
+ osm-obj-info (1484152384)
+ photo_geotagging (33088)
+ photoadjust (33088)
+ reltoolbox (33088)
+ reverter (33088)
+ tag2link (33035)
+ tageditor (33021)
+ tagging-preset-tester (33004)
+ terracer (33088)
+ turnlanes-tagging (254)
+ turnrestrictions (33088)
+ undelete (32699)
+ utilsplugin2 (33088)
+ wikipedia (33098)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/StolpersteineLight&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ D:\<user.name>\OSM\JOSMSVN\data\defaultpresets.xml
+ https://raw.githubusercontent.com/yopaseopor/traffic_signs_preset_JOSM/master/DE.zip
+ https://josm.openstreetmap.de/josmfile?page=Presets/Industrial&zip=1

Map paint styles:
+ D:\<user.name>\OSM\JOSMSVN\styles\standard\elemstyles.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/HiDPISupport&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- D:\<user.name>\OSM\eigene styles\maxspeed\maxspeed_2.8_01 zeige richtungspfeile.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/sac_scale&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ShowID&zip=1
- D:\<user.name>\OSM\eigene styles\PriorityRoad\PriorityRoad_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- D:\<user.name>\OSM\TestNew\newicons.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- D:\<user.name>\OSM\patches\old MPs\dataquality.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- D:\<user.name>\OSM\eigene styles\Tourenplanung.mapcss
- D:\<user.name>\OSM\eigene styles\SpecificBuildingValues\SpecificBuildingValues.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- http://www.openrailwaymap.org/styles/standard.mapcss
- D:\<user.name>\OSM\eigene styles\area-symbol.zip
- http://www.freietonne.de/ft_icons/josm/FreieTonne_rules_presets_zip.php
- https://josm.openstreetmap.de/josmfile?page=Styles/NewHighwayColors&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/DestinationSignRelation&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Incline&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PTStops&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://www.dropbox.com/s/qo3ai47fpv241jf/Styles_Fixme_and_Notes.zip?raw=1
- https://github.com/gmgeo/osmic-josm-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/hazmat&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Suburb&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Postcode&zip=1

Validator rules:
+ https://raw.githubusercontent.com/stefan-a-bauer/josm-validators/master/mtb.validator.mapcss
+ D:\<user.name>\OSM\TestNew\new.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/GermanySpecific&zip=1
- D:\<user.name>\OSM\TestNew\germ.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/CzechRepublicAddressSystem&zip=1

Last errors/warnings:
- W: javax.net.ssl.SSLProtocolException: handshake alert:  unrecognized_name
- W: javax.net.ssl.SSLProtocolException: handshake alert:  unrecognized_name
- W: javax.net.ssl.SSLProtocolException: handshake alert:  unrecognized_name
- W: javax.net.ssl.SSLProtocolException: handshake alert:  unrecognized_name
- W: javax.net.ssl.SSLProtocolException: handshake alert:  unrecognized_name
- W: javax.net.ssl.SSLProtocolException: handshake alert:  unrecognized_name
- W: javax.net.ssl.SSLProtocolException: handshake alert:  unrecognized_name
- W: javax.net.ssl.SSLProtocolException: handshake alert:  unrecognized_name
- W: javax.net.ssl.SSLProtocolException: handshake alert:  unrecognized_name
- W: javax.net.ssl.SSLProtocolException: handshake alert:  unrecognized_name

Attachments (0)

Change History (8)

comment:1 Changed 4 years ago by bastiK

Resolution: duplicate
Status: newclosed

Closed as duplicate of #9875.

comment:2 Changed 4 years ago by bastiK

Probably the server has broken SNI implementation, which trips up Java (but not a web browser). Better use http then.

comment:4 Changed 2 years ago by stoecker

Tested again. Still an issue.

comment:5 Changed 2 years ago by stoecker

https://www.ssllabs.com/ssltest/analyze.html?d=siglon.londrina.pr.gov.br essentially says connecting with http to this server has same security as https ;-)

comment:7 Changed 8 months ago by stoecker

Any reason why attribution is still http?

comment:8 Changed 8 months ago by Don-vip

forgot to update it.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.